Subject: [bug#42899] [PATCH v2 04/10] gnu: dovecot-pigeonhole: Add new variable.

From: Alexey Abramov <[email-masked]>
Date: Mon, 24 Aug 2020 12:47:08 +0200

Efraim Flashner <[email-masked]> writes:

> Make sure you run 'guix lint' on the package, some of the lines are too
> long.
>

[...]

>
> Is there a difference between dovecot-2.3-pigeonhole-0.5.11.tar.gz and
> dovecot-2.3.11-pigeonhole-0.5.11.tar.gz?

Hm, I didn't even know that you can download the latter one. I used the URL provided from the [1]

Anyways, I have downloaded both of them and did a check. Most of the differences relate to Makefile.in, however I also found that the ChangeLog file from "2.3" is newer then "2.3.11". The latter miss one change. Please see the diff I have attached. So I guess we should use dovecot-2.3-pigeonhole-0.5.11.tar.gz. 

[...]

>
> it doesn't looke like automake, autoconf, libtool or gettext are
> necessary here. Also, 'guix gc --references' show a reference to
> dovecot, so that should go in inputs.

It is indeed not required. I  removed native-imports completely and everithing builds OK. I also moved dovecot to inputs, checked 'guix gc --references', but it turned out that it shows dovecot anyways.

,----[ guix gc --references /gnu/store/c6lnlfqh0jxkrz1x8mk7gdpx15iffxqd-dovecot-pigeonhole-0.5.11/ ]
| /gnu/store/01b4w3m6mp55y531kyi1g8shh722kwqm-gcc-7.5.0-lib
| /gnu/store/c6lnlfqh0jxkrz1x8mk7gdpx15iffxqd-dovecot-pigeonhole-0.5.11
| /gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31
| /gnu/store/hcxpkksmbql6s4al8yy2myr25kh4cic0-openssl-1.1.1g
| /gnu/store/mhwawv2afb40xv96mdanr2qlqkj6wh8m-dovecot-2.3.11.3
`----

As I understood, it means that if someone have dovecot and dovecot-pigeonhole installed, and the decide to remove pigeonhole, dovecot will be GCed. Please correct me if am wrong. 

[...]

>
> If you change the lambda to (lambda* (#:key outputs #:allow-other-keys)
> then you can change the let to (let ((out (assoc-ref outputs "out")))
> and it fits better with the code formatting in the rest of Guix.

Done. 

[...]

>
> Some of these lines are too long. We try to wrap them at 80, and the
> linter complains once it hits 90. If you start a new line after 'out'
> then it should flow nicely.

Done. Yeah, I saw this, but decided that separating the last argument is not that pretty. 

[...]

>
> I would shorten this to 'Mail filtering in Dovecot using the Sieve
> language'

Done. I am fine with that. As a non native speaker I usually prefer not to touch these kind of things, until I am really sure it can be improved. =)

[...]

>
> It looked to me like it was just lgpl2.1

Sorry, I am not following. I removed the comment I left indeed. Do you mean I should remove

(license:non-copyleft "file://COPYING")

the part completely? The blob contains both COPYING and COPYING.LGPL so I just copied them both.

Footnotes:
[1]  https://pigeonhole.dovecot.org/download.html

-- 
Alexey

--- /home/levenson/Downloads/dovecot-2.3-pigeonhole-0.5.11/ChangeLog	2020-08-13 09:11:59.000000000 +0200
+++ /home/levenson/Downloads/dovecot-2.3.11-pigeonhole-0.5.11/ChangeLog	2020-08-12 14:21:42.000000000 +0200
@@ -1,11 +1,3 @@
-2020-08-13 07:45:38 +0300 Aki Tuomi <[email-masked]> (d71e0372)
-
-    configure: Fix version number
-
-    Broken by ebadd718b918a552fce65ccae6ebaff9d482eb16
-
-M	configure.ac
-
 2020-06-30 11:53:28 +0300 Aki Tuomi <[email-masked]> (6c69c917)

     NEWS: Add news for 0.5.11